diff --git a/web/pgadmin/dashboard/static/js/SystemStats/Storage.jsx b/web/pgadmin/dashboard/static/js/SystemStats/Storage.jsx
new file mode 100644
index 000000000..2acb217bd
--- /dev/null
+++ b/web/pgadmin/dashboard/static/js/SystemStats/Storage.jsx
@@ -0,0 +1,329 @@
+import React, { useState, useEffect, useRef, useReducer, useMemo } from 'react';
+import gettext from 'sources/gettext';
+import PropTypes from 'prop-types';
+import { makeStyles } from '@material-ui/core/styles';
+import url_for from 'sources/url_for';
+import {getGCD, getEpoch} from 'sources/utils';
+import {ChartContainer} from '../Dashboard';
+import { Grid } from '@material-ui/core';
+import { DATA_POINT_SIZE } from 'sources/chartjs';
+import StreamingChart from '../../../../static/js/components/PgChart/StreamingChart';
+import {useInterval, usePrevious} from 'sources/custom_hooks';
+import axios from 'axios';
+
+export const X_AXIS_LENGTH = 75;
+
+const useStyles = makeStyles((theme) => ({
+  autoResizer: {
+    height: '100% !important',
+    width: '100% !important',
+    background: theme.palette.grey[400],
+    padding: '7.5px',
+    overflowX: 'auto !important',
+    overflowY: 'hidden !important',
+    minHeight: '100%',
+    minWidth: '100%',
+  },
+  container: {
+    height: 'auto',
+    background: theme.palette.grey[200],
+    padding: '10px',
+    marginBottom: '30px',
+  },
+  ioDiskContainer: {
+    height: 'auto',
+    background: theme.palette.grey[200],
+    padding: '10px',
+  },
+  fixedContainer: {
+    height: '577px',
+    background: theme.palette.grey[200],
+    padding: '10px',
+    marginBottom: '30px',
+  },
+  containerHeader: {
+    fontSize: '16px',
+    fontWeight: 'bold',
+    marginBottom: '5px',
+  },
+  chartHeader: {
+    fontSize: '14px',
+    fontWeight: 'bold',
+    marginBottom: '5px',
+  }
+}));
+
+export function transformData(labels, refreshRate) {
+  const colors = ['#FF6384','#36A2EB','#FFCE56','#4BC0C0','#9966FF','#FF9F40','#8D6E63','#2196F3','#FFEB3B','#9C27B0','#00BCD4','#CDDC39'];
+  let datasets = Object.keys(labels).map((label, i)=>{
+    return {
+      label: label,
+      data: labels[label] || [],
+      borderColor: colors[i],
+      pointHitRadius: DATA_POINT_SIZE,
+    };
+  }) || [];
+
+  return {
+    datasets: datasets,
+    refreshRate: refreshRate,
+  };
+}
+
+/* URL for fetching graphs data */
+export function getStatsUrl(sid=-1, did=-1, chart_names=[]) {
+  let base_url = url_for('dashboard.system_statistics');
+  base_url += '/' + sid;
+  base_url += (did > 0) ? ('/' + did) : '';
+  base_url += '?chart_names=' + chart_names.join(',');
+
+  return base_url;
+}
+
+/* This will process incoming charts data add it the previous charts
+ * data to get the new state.
+ */
+export function ioStatsReducer(state, action) {
+
+  if(action.reset) {
+    return action.reset;
+  }
+
+  if(!action.incoming) {
+    return state;
+  }
+
+  if(!action.counterData) {
+    action.counterData = action.incoming;
+  }
+
+  let newState = {};
+  Object.keys(action.incoming).forEach(disk_stats => {
+    newState[disk_stats] = {};
+    Object.keys(action.incoming[disk_stats]).forEach(label => {
+      if(state[disk_stats][label]) {
+        newState[disk_stats][label] = [
+          action.counter ?  action.incoming[disk_stats][label] - action.counterData[disk_stats][label] : action.incoming[disk_stats][label],
+          ...state[disk_stats][label].slice(0, X_AXIS_LENGTH-1),
+        ];
+      } else {
+        newState[disk_stats][label] = [
+          action.counter ?  action.incoming[disk_stats][label] - action.counterData[disk_stats][label] : action.incoming[disk_stats][label],
+        ];
+      }
+    });
+  });
+  return newState;
+}
+
+const chartsDefault = {
+  'io_stats': {},
+};
+
+export default function Storage({preferences, sid, did, pageVisible, enablePoll=true}) {
+  const refreshOn = useRef(null);
+  const prevPrefernces = usePrevious(preferences);
+
+  const [ioInfo, ioInfoReduce] = useReducer(ioStatsReducer, chartsDefault['io_stats']);
+
+  const [, setCounterData] = useState({});
+
+  const [pollDelay, setPollDelay] = useState(5000);
+  const [errorMsg, setErrorMsg] = useState(null);
+  const [chartDrawnOnce, setChartDrawnOnce] = useState(false);
+
+  useEffect(()=>{
+    let calcPollDelay = false;
+    if(prevPrefernces) {
+      if(prevPrefernces['io_stats_refresh'] != preferences['io_stats_refresh']) {
+        ioInfoReduce({reset: chartsDefault['io_stats']});
+        calcPollDelay = true;
+      }
+    } else {
+      calcPollDelay = true;
+    }
+    if(calcPollDelay) {
+      const keys = Object.keys(chartsDefault);
+      const length = keys.length;
+      if(length == 1){
+        setPollDelay(
+          preferences[keys[0]+'_refresh']*1000
+        );
+      } else {
+        setPollDelay(
+          getGCD(Object.keys(chartsDefault).map((name)=>preferences[name+'_refresh']))*1000
+        );
+      }
+    }
+  }, [preferences]);
+
+  useEffect(()=>{
+    /* Charts rendered are not visible when, the dashboard is hidden but later visible */
+    if(pageVisible && !chartDrawnOnce) {
+      setChartDrawnOnce(true);
+    }
+  }, [pageVisible]);
+
+  useInterval(()=>{
+    const currEpoch = getEpoch();
+    if(refreshOn.current === null) {
+      let tmpRef = {};
+      Object.keys(chartsDefault).forEach((name)=>{
+        tmpRef[name] = currEpoch;
+      });
+      refreshOn.current = tmpRef;
+    }
+
+    let getFor = [];
+    Object.keys(chartsDefault).forEach((name)=>{
+      if(currEpoch >= refreshOn.current[name]) {
+        getFor.push(name);
+        refreshOn.current[name] = currEpoch + preferences[name+'_refresh'];
+      }
+    });
+
+    let path = getStatsUrl(sid, did, getFor);
+    if (!pageVisible){
+      return;
+    }
+    axios.get(path)
+      .then((resp)=>{
+        let data = resp.data;
+        setErrorMsg(null);
+        if(data.hasOwnProperty('io_stats')){
+          const io_info_obj = data['io_stats'];
+          for (const disk in io_info_obj) {
+            if(!chartsDefault.io_stats.hasOwnProperty(`${disk}_total_rw`)){
+              chartsDefault.io_stats[`${disk}_total_rw`] = {'Read': [], 'Write': []};
+            }
+            if(!ioInfo.hasOwnProperty(`${disk}_total_rw`)){
+              ioInfo[`${disk}_total_rw`] = {'Read': [], 'Write': []};
+            }
+
+            if(!chartsDefault.io_stats.hasOwnProperty(`${disk}_bytes_rw`)){
+              chartsDefault.io_stats[`${disk}_bytes_rw`] = {'Read': [], 'Write': []};
+            }
+            if(!ioInfo.hasOwnProperty(`${disk}_bytes_rw`)){
+              ioInfo[`${disk}_bytes_rw`] = {'Read': [], 'Write': []};
+            }
+
+            if(!chartsDefault.io_stats.hasOwnProperty(`${disk}_time_rw`)){
+              chartsDefault.io_stats[`${disk}_time_rw`] = {'Read': [], 'Write': []};
+            }
+            if(!ioInfo.hasOwnProperty(`${disk}_time_rw`)){
+              ioInfo[`${disk}_time_rw`] = {'Read': [], 'Write': []};
+            }
+          }
+
+          let new_io_stats = {};
+          for (const disk in io_info_obj) {
+            new_io_stats[`${disk}_total_rw`] = {'Read': io_info_obj[`${disk}`]['total_reads']?io_info_obj[`${disk}`]['total_reads']:0, 'Write': io_info_obj[`${disk}`]['total_writes']?io_info_obj[`${disk}`]['total_writes']:0};
+            new_io_stats[`${disk}_bytes_rw`] = {'Read': io_info_obj[`${disk}`]['read_bytes']?io_info_obj[`${disk}`]['read_bytes']:0, 'Write': io_info_obj[`${disk}`]['write_bytes']?io_info_obj[`${disk}`]['write_bytes']:0};
+            new_io_stats[`${disk}_time_rw`] = {'Read': io_info_obj[`${disk}`]['read_time_ms']?io_info_obj[`${disk}`]['read_time_ms']:0, 'Write': io_info_obj[`${disk}`]['write_time_ms']?io_info_obj[`${disk}`]['write_time_ms']:0};
+          }
+          ioInfoReduce({incoming: new_io_stats});
+        }
+
+        setCounterData((prevCounterData)=>{
+          return {
+            ...prevCounterData,
+            ...data,
+          };
+        });
+      })
+      .catch((error)=>{
+        if(!errorMsg) {
+          ioInfoReduce({reset:chartsDefault['io_stats']});
+          setCounterData({});
+          if(error.response) {
+            if (error.response.status === 428) {
+              setErrorMsg(gettext('Please connect to the selected server to view the graph.'));
+            } else {
+              setErrorMsg(gettext('An error occurred whilst rendering the graph.'));
+            }
+          } else if(error.request) {
+            setErrorMsg(gettext('Not connected to the server or the connection to the server has been closed.'));
+            return;
+          } else {
+            console.error(error);
+          }
+        }
+      });
+  }, enablePoll ? pollDelay : -1);
+
+  return (
+    <>
+      <div data-testid='graph-poll-delay' style={{display: 'none'}}>{pollDelay}</div>
+      {chartDrawnOnce &&
+        <StorageWrapper
+          ioInfo={ioInfo}
+          ioRefreshRate={preferences['io_stats_refresh']}
+          errorMsg={errorMsg}
+          showTooltip={preferences['graph_mouse_track']}
+          showDataPoints={preferences['graph_data_points']}
+          lineBorderWidth={preferences['graph_line_border_width']}
+          isDatabase={did > 0}
+          isTest={false}
+        />
+      }
+    </>
+  );
+}
+
+Storage.propTypes = {
+  preferences: PropTypes.object.isRequired,
+  sid: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.number.isRequired]),
+  did: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.number.isRequired]),
+  pageVisible: PropTypes.bool,
+  enablePoll: PropTypes.bool,
+};
+
+export function StorageWrapper(props) {
+  const classes = useStyles();
+  const options = useMemo(()=>({
+    showDataPoints: props.showDataPoints,
+    showTooltip: props.showTooltip,
+    lineBorderWidth: props.lineBorderWidth,
+  }), [props.showTooltip, props.showDataPoints, props.lineBorderWidth]);
+
+  const keys = Object.keys(props.ioInfo);
+  return (
+    <>
+      {keys.map((key, index) => (
+        index % 3 === 0 && (
+          <Grid key={`disk-${index}`} container spacing={1} className={classes.container}>
+            <Grid container spacing={1} className={classes.ioDiskContainer}>
+              <div className={classes.containerHeader}>{gettext(`Disk ${Math.floor(index / 3) + 1}`)}</div>
+            </Grid>
+            <Grid container spacing={1} className={classes.ioDiskContainer}>
+              {keys.slice(index, index + 3).map((innerKey, innerKeyIndex) => (
+                <Grid key={`${innerKey}`} item md={4} sm={6}>
+                  <div className={classes.chartHeader}>{innerKeyIndex==0 ? gettext('I/O Operations Count'): innerKeyIndex==1? gettext('Data Transfer (Bytes)'):gettext('Time Spent in I/O Operations (Milliseconds)')}</div>
+                  <ChartContainer id={`io-graph-${innerKey}`} title={gettext('')} datasets={transformData(props.ioInfo[innerKey], props.ioRefreshRate).datasets}  errorMsg={props.errorMsg} isTest={props.isTest}>
+                    <StreamingChart data={transformData(props.ioInfo[innerKey], props.ioRefreshRate)} dataPointSize={DATA_POINT_SIZE} xRange={X_AXIS_LENGTH} options={options} />
+                  </ChartContainer>
+                </Grid>
+              ))}
+            </Grid>
+          </Grid>
+        )
+      ))}
+    </>
+  );
+}
+
+StorageWrapper.propTypes = {
+  ioInfo: PropTypes.objectOf(
+    PropTypes.shape({
+      Read: PropTypes.array,
+      Write: PropTypes.array,
+    })
+  ),
+  ioRefreshRate: PropTypes.number.isRequired,
+  errorMsg: PropTypes.string,
+  showTooltip: PropTypes.bool.isRequired,
+  showDataPoints: PropTypes.bool.isRequired,
+  lineBorderWidth: PropTypes.number.isRequired,
+  isDatabase: PropTypes.bool.isRequired,
+  isTest: PropTypes.bool,
+};
\ No newline at end of file
diff --git a/web/pgadmin/dashboard/static/js/SystemStats/Summary.jsx b/web/pgadmin/dashboard/static/js/SystemStats/Summary.jsx
new file mode 100644
index 000000000..9b2ee9a30
--- /dev/null
+++ b/web/pgadmin/dashboard/static/js/SystemStats/Summary.jsx
@@ -0,0 +1,422 @@
+import React, { useState, useEffect, useRef, useReducer, useMemo } from 'react';
+import gettext from 'sources/gettext';
+import PropTypes from 'prop-types';
+import { makeStyles } from '@material-ui/core/styles';
+import url_for from 'sources/url_for';
+import getApiInstance from 'sources/api_instance';
+import {getGCD, getEpoch} from 'sources/utils';
+import {ChartContainer} from '../Dashboard';
+import { Grid } from '@material-ui/core';
+import { DATA_POINT_SIZE } from 'sources/chartjs';
+import StreamingChart from '../../../../static/js/components/PgChart/StreamingChart';
+import DonutChart from '../../../../static/js/components/PgChart/DonutChart';
+import {useInterval, usePrevious} from 'sources/custom_hooks';
+import axios from 'axios';
+
+export const X_AXIS_LENGTH = 75;
+
+const useStyles = makeStyles((theme) => ({
+  autoResizer: {
+    height: '100% !important',
+    width: '100% !important',
+    background: theme.palette.grey[400],
+    padding: '7.5px',
+    overflowX: 'auto !important',
+    overflowY: 'hidden !important',
+    minHeight: '100%',
+    minWidth: '100%',
+  },
+  table: {
+    width: '100%',
+    backgroundColor: theme.otherVars.tableBg,
+    border: '1px solid rgb(221, 224, 230)',
+  },
+  tableVal: {
+    border: '1px solid rgb(221, 224, 230) !important',
+    padding: '10px !important',
+  },
+  container: {
+    height: 'auto',
+    background: theme.palette.grey[200],
+    padding: '10px',
+    marginBottom: '30px',
+  },
+  containerHeader: {
+    fontSize: '16px',
+    fontWeight: 'bold',
+    marginBottom: '5px',
+  },
+}));
+
+export function transformData(labels, refreshRate) {
+  const colors = ['#FF6384','#36A2EB','#FFCE56','#4BC0C0','#9966FF','#FF9F40','#8D6E63','#2196F3','#FFEB3B','#9C27B0','#00BCD4','#CDDC39'];
+  let datasets = Object.keys(labels).map((label, i)=>{
+    return {
+      label: label,
+      data: labels[label] || [],
+      borderColor: colors[i],
+      pointHitRadius: DATA_POINT_SIZE,
+    };
+  }) || [];
+
+  return {
+    datasets: datasets,
+    refreshRate: refreshRate,
+  };
+}
+
+/* URL for fetching graphs data */
+export function getStatsUrl(sid=-1, did=-1, chart_names=[]) {
+  let base_url = url_for('dashboard.system_statistics');
+  base_url += '/' + sid;
+  base_url += (did > 0) ? ('/' + did) : '';
+  base_url += '?chart_names=' + chart_names.join(',');
+
+  return base_url;
+}
+
+/* This will process incoming charts data add it the previous charts
+ * data to get the new state.
+ */
+export function statsReducer(state, action) {
+
+  if(action.reset) {
+    return action.reset;
+  }
+
+  if(!action.incoming) {
+    return state;
+  }
+
+  if(!action.counterData) {
+    action.counterData = action.incoming;
+  }
+
+  let newState = {};
+  Object.keys(action.incoming).forEach(label => {
+    if(state[label]) {
+      newState[label] = [
+        action.counter ?  action.incoming[label] - action.counterData[label] : action.incoming[label],
+        ...state[label].slice(0, X_AXIS_LENGTH-1),
+      ];
+    } else {
+      newState[label] = [
+        action.counter ?  action.incoming[label] - action.counterData[label] : action.incoming[label],
+      ];
+    }
+  });
+  return newState;
+}
+
+const chartsDefault = {
+  'hpc_stats': {'Handle': new Array(X_AXIS_LENGTH).fill(null), 'Process': new Array(X_AXIS_LENGTH).fill(null)},
+};
+
+const SummaryTable = (props) => {
+  const classes = useStyles();
+  const data = props.data;
+  return (
+    <table className={classes.table}>
+      <thead>
+        <tr>
+          <th className={classes.tableVal}>Property</th>
+          <th className={classes.tableVal}>Value</th>
+        </tr>
+      </thead>
+      <tbody>
+        {data.map((item, index) => (
+          <tr className={classes.tableVal} key={index}>
+            <td className={classes.tableVal}>{item.name}</td>
+            <td className={classes.tableVal}>{item.value}</td>
+          </tr>
+        ))}
+      </tbody>
+    </table>
+  );
+};
+
+SummaryTable.propTypes = {
+  data: PropTypes.any,
+};
+
+export default function Summary({preferences, sid, did, pageVisible, enablePoll=true}) {
+  const refreshOn = useRef(null);
+  const prevPrefernces = usePrevious(preferences);
+
+  const [processHandleCount, processHandleCountReduce] = useReducer(statsReducer, chartsDefault['hpc_stats']);
+  const [osStats, setOsStats] = useState([]);
+  const [cpuStats, setCpuStats] = useState([]);
+  const [processInfoStats] = useState({'Running': 4, 'Sleeping': 2, 'Stopped': 1, 'Zombie': 2});
+
+  const [, setCounterData] = useState({});
+
+  const [pollDelay, setPollDelay] = useState(5000);
+  const [longPollDelay] = useState(180000);
+  const [errorMsg, setErrorMsg] = useState(null);
+  const [chartDrawnOnce, setChartDrawnOnce] = useState(false);
+
+  const tableHeader = [
+    {
+      Header: 'Property',
+      accessor: 'name',
+      sortable: true,
+      resizable: true,
+      disableGlobalFilter: false,
+    },
+    {
+      Header: 'Value',
+      accessor: 'value',
+      sortable: true,
+      resizable: true,
+      disableGlobalFilter: false,
+    },
+  ];
+
+  useEffect(()=>{
+    let calcPollDelay = false;
+    if(prevPrefernces) {
+      if(prevPrefernces['hpc_stats_refresh'] != preferences['hpc_stats_refresh']) {
+        processHandleCountReduce({reset: chartsDefault['hpc_stats']});
+        calcPollDelay = true;
+      }
+    } else {
+      calcPollDelay = true;
+    }
+    if(calcPollDelay) {
+      const keys = Object.keys(chartsDefault);
+      const length = keys.length;
+      if(length == 1){
+        setPollDelay(
+          preferences[keys[0]+'_refresh']*1000
+        );
+      } else {
+        setPollDelay(
+          getGCD(Object.keys(chartsDefault).map((name)=>preferences[name+'_refresh']))*1000
+        );
+      }
+    }
+  }, [preferences]);
+
+  useEffect(()=>{
+    /* Charts rendered are not visible when, the dashboard is hidden but later visible */
+    if(pageVisible && !chartDrawnOnce) {
+      setChartDrawnOnce(true);
+    }
+  }, [pageVisible]);
+
+  useEffect(() => {
+    try {
+      // Fetch the latest data point from the API endpoint
+      let url;
+      url = url_for('dashboard.system_statistics');
+      url += '/' + sid;
+      url += did > 0 ? '/' + did : '';
+      url += '?chart_names=' + 'pg_sys_os_info,pg_sys_cpu_info';
+      const api = getApiInstance();
+      api({
+        url: url,
+        type: 'GET',
+      })
+        .then((res) => {
+          let data = res.data;
+
+          const os_info_obj = data['pg_sys_os_info'];
+          let os_info_list = [
+            { icon: '', name: 'Name', value: os_info_obj['name'] },
+            { icon: '', name: 'Version', value: os_info_obj['version'] },
+            { icon: '', name: 'Host name', value: os_info_obj['host_name'] },
+            { icon: '', name: 'Domain name', value: os_info_obj['domain_name'] },
+            { icon: '', name: 'Architecture', value: os_info_obj['architecture'] },
+            { icon: '', name: 'Os up since seconds', value: os_info_obj['os_up_since_seconds'] },
+          ];
+          setOsStats(os_info_list);
+
+          const cpu_info_obj = data['pg_sys_cpu_info'];
+          let cpu_info_list = [
+            { icon: '', name: 'Vendor', value: cpu_info_obj['vendor'] },
+            { icon: '', name: 'Description', value: cpu_info_obj['description'] },
+            { icon: '', name: 'Model name', value: cpu_info_obj['model_name'] },
+            { icon: '', name: 'No of cores', value: cpu_info_obj['no_of_cores'] },
+            { icon: '', name: 'Architecture', value: cpu_info_obj['architecture'] },
+            { icon: '', name: 'Clock speed Hz', value: cpu_info_obj['clock_speed_hz'] },
+            { icon: '', name: 'L1 dcache size', value: cpu_info_obj['l1dcache_size'] },
+            { icon: '', name: 'L1 icache size', value: cpu_info_obj['l1icache_size'] },
+            { icon: '', name: 'L2 cache size', value: cpu_info_obj['l2cache_size'] },
+            { icon: '', name: 'L3 cache size', value: cpu_info_obj['l3cache_size'] },
+          ];
+          setCpuStats(cpu_info_list);
+
+          setErrorMsg(null);
+        })
+        .catch((error) => {
+          console.error('Error fetching data:', error);
+        });
+    } catch (error) {
+      console.error('Error fetching data:', error);
+    }
+  }, [sid, did, enablePoll, pageVisible]);
+
+  useInterval(()=>{
+    const currEpoch = getEpoch();
+    if(refreshOn.current === null) {
+      let tmpRef = {};
+      Object.keys(chartsDefault).forEach((name)=>{
+        tmpRef[name] = currEpoch;
+      });
+      refreshOn.current = tmpRef;
+    }
+
+    let getFor = [];
+    Object.keys(chartsDefault).forEach((name)=>{
+      if(currEpoch >= refreshOn.current[name]) {
+        getFor.push(name);
+        refreshOn.current[name] = currEpoch + preferences[name+'_refresh'];
+      }
+    });
+
+    let path = getStatsUrl(sid, did, getFor);
+    if (!pageVisible){
+      return;
+    }
+    axios.get(path)
+      .then((resp)=>{
+        let data = resp.data;
+        setErrorMsg(null);
+        processHandleCountReduce({incoming: data['hpc_stats']});
+
+        setCounterData((prevCounterData)=>{
+          return {
+            ...prevCounterData,
+            ...data,
+          };
+        });
+      })
+      .catch((error)=>{
+        if(!errorMsg) {
+          processHandleCountReduce({reset:chartsDefault['hpc_stats']});
+          setCounterData({});
+          if(error.response) {
+            if (error.response.status === 428) {
+              setErrorMsg(gettext('Please connect to the selected server to view the graph.'));
+            } else {
+              setErrorMsg(gettext('An error occurred whilst rendering the graph.'));
+            }
+          } else if(error.request) {
+            setErrorMsg(gettext('Not connected to the server or the connection to the server has been closed.'));
+            return;
+          } else {
+            console.error(error);
+          }
+        }
+      });
+  }, enablePoll ? pollDelay : -1);
+
+  useInterval(()=>{
+    // let url;
+    // url = url_for('dashboard.system_statistics');
+    // url += '/' + sid;
+    // url += did > 0 ? '/' + did : '';
+    // url += '?chart_names=' + 'pi_stats';
+    // axios.get(url)
+    //   .then((resp)=>{
+    //     let data = resp.data;
+    //     console.log("pi data: ", data);
+    //   })
+    //   .catch((error)=>{
+    //     if(!errorMsg) {
+    //       if(error.response) {
+    //         if (error.response.status === 428) {
+    //           setErrorMsg(gettext('Please connect to the selected server to view the graph.'));
+    //         } else {
+    //           setErrorMsg(gettext('An error occurred whilst rendering the graph.'));
+    //         }
+    //       } else if(error.request) {
+    //         setErrorMsg(gettext('Not connected to the server or the connection to the server has been closed.'));
+    //         return;
+    //       } else {
+    //         console.error(error);
+    //       }
+    //     }
+    //   });
+  }, enablePoll ? longPollDelay : -1);
+
+  return (
+    <>
+      <div data-testid='graph-poll-delay' style={{display: 'none'}}>{pollDelay}</div>
+      {chartDrawnOnce &&
+        <SummaryWrapper
+          processHandleCount={transformData(processHandleCount, preferences['hpc_stats_refresh'])}
+          osStats={osStats}
+          cpuStats={cpuStats}
+          processInfoStats={transformData(processInfoStats, 5)}
+          tableHeader={tableHeader}
+          errorMsg={errorMsg}
+          showTooltip={preferences['graph_mouse_track']}
+          showDataPoints={preferences['graph_data_points']}
+          lineBorderWidth={preferences['graph_line_border_width']}
+          isDatabase={did > 0}
+          isTest={false}
+        />
+      }
+    </>
+  );
+}
+
+Summary.propTypes = {
+  preferences: PropTypes.object.isRequired,
+  sid: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.number.isRequired]),
+  did: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.number.isRequired]),
+  pageVisible: PropTypes.bool,
+  enablePoll: PropTypes.bool,
+};
+
+export function SummaryWrapper(props) {
+  const classes = useStyles();
+  const options = useMemo(()=>({
+    showDataPoints: props.showDataPoints,
+    showTooltip: props.showTooltip,
+    lineBorderWidth: props.lineBorderWidth,
+  }), [props.showTooltip, props.showDataPoints, props.lineBorderWidth]);
+  return (
+    <>
+      <Grid container spacing={1} className={classes.container}>
+        <Grid item md={6} sm={12}>
+          <div className={classes.containerHeader}>{gettext('OS Information')}</div>
+          <SummaryTable data={props.osStats} />
+        </Grid>
+        <Grid item md={6} sm={12}>
+          <div className={classes.containerHeader}>{gettext('Handle & Process Count')}</div>
+          <ChartContainer id='hpc-graph' title={gettext('')} datasets={props.processHandleCount.datasets}  errorMsg={props.errorMsg} isTest={props.isTest}>
+            <StreamingChart data={props.processHandleCount} dataPointSize={DATA_POINT_SIZE} xRange={X_AXIS_LENGTH} options={options} showSecondAxis={true} />
+          </ChartContainer>
+        </Grid>
+      </Grid>
+      <Grid container spacing={1} className={classes.container}>
+        <Grid item md={6} sm={12}>
+          <div className={classes.containerHeader}>{gettext('CPU Information')}</div>
+          <SummaryTable data={props.cpuStats} />
+        </Grid>
+        <Grid item md={6} sm={12}>
+          <div className={classes.containerHeader}>{gettext('Process Information')}</div>
+          <ChartContainer id='pi-graph' title={gettext('')} datasets={props.processInfoStats.datasets}  errorMsg={props.errorMsg} isTest={props.isTest}>
+            <DonutChart data={props.processInfoStats.datasets} />
+          </ChartContainer>
+        </Grid>
+      </Grid>
+    </>
+  );
+}
+
+SummaryWrapper.propTypes = {
+  processHandleCount: PropTypes.any.isRequired,
+  osStats: PropTypes.any.isRequired,
+  cpuStats: PropTypes.any.isRequired,
+  processInfoStats: PropTypes.any.isRequired,
+  tableHeader: PropTypes.any.isRequired,
+  errorMsg: PropTypes.any,
+  showTooltip: PropTypes.bool,
+  showDataPoints: PropTypes.bool,
+  lineBorderWidth: PropTypes.number,
+  isDatabase: PropTypes.bool,
+  isTest: PropTypes.bool,
+};
diff --git a/web/pgadmin/static/js/components/PgChart/DonutChart.jsx b/web/pgadmin/static/js/components/PgChart/DonutChart.jsx
new file mode 100644
index 000000000..4da1d4435
--- /dev/null
+++ b/web/pgadmin/static/js/components/PgChart/DonutChart.jsx
@@ -0,0 +1,70 @@
+import React, { useEffect, useRef } from 'react';
+import Chart from 'chart.js/auto';
+import PropTypes from 'prop-types';
+
+export default function DonutChart({ data }) {
+  const chartRef = useRef(null);
+  const chartInstance = useRef(null);
+
+  useEffect(() => {
+    if (data && Object.keys(data).length > 0) {
+      if (chartInstance.current) {
+        // If chart instance exists, update the data
+        chartInstance.current.data.labels = data.map((item) => item.label);
+        chartInstance.current.data.datasets[0].data = data.map((item) => item.data);
+        chartInstance.current.update();
+      } else {
+        // If chart instance doesn't exist, create a new chart
+        const chartOptions = {
+          responsive: true,
+          maintainAspectRatio: false,
+          plugins: {
+            legend: {
+              display: false, // Hide the labels at the top
+            },
+          },
+          animation: {
+            duration: 0, // Disable the animation
+          },
+          tooltips: {
+            callbacks: {
+              label: function (tooltipItem, chartData) {
+                const dataset = chartData.datasets[tooltipItem.datasetIndex];
+                const total = dataset.data.reduce((previousValue, currentValue) => previousValue + currentValue);
+                const currentValue = dataset.data[tooltipItem.index];
+                const percentage = ((currentValue / total) * 100).toFixed(2) + '%';
+                return dataset.label + ': ' + currentValue + ' (' + percentage + ')';
+              },
+            },
+          },
+        };
+
+        const chartData = {
+          labels: data.map((item) => item.label),
+          datasets: [
+            {
+              data: data.map((item) => item.data),
+              backgroundColor: data.map((item) => item.borderColor),
+              hoverBackgroundColor: data.map((item) => item.borderColor),
+            },
+          ],
+        };
+
+        const ctx = chartRef.current.getContext('2d');
+        chartInstance.current = new Chart(ctx, {
+          type: 'doughnut',
+          data: chartData,
+          options: chartOptions,
+        });
+      }
+    }
+  }, [data]);
+
+  return (
+    <canvas ref={chartRef} />
+  );
+}
+
+DonutChart.propTypes = {
+  data: PropTypes.array.isRequired,
+};
\ No newline at end of file
